---
search:
  tags:
    - Seasons
    - GET
seo:
  description: >-
    Returns the current quarterly season, its theme and the XP rules that govern
    standings. Reference for the GET /seasons endpoint in the dartpilot Public
    API.
sidebar:
  label: Get the current season
  badge: GET
title: Get the current season
type: openapi-operation
---
Returns the current quarterly season, its theme and the XP rules that govern standings.

`GET /seasons`

**Responses**

- `200` — The current season and rules.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "season": {
    "id": "string",
    "number": -9007199254740991,
    "name": "string",
    "tagline": "string",
    "themeKey": "string",
    "accent": [
      "string",
      "string"
    ],
    "startsAt": "string",
    "endsAt": "string"
  },
  "rules": {
    "tierXp": [
      0
    ],
    "tierCount": -9007199254740991,
    "xp": {
      "tierCount": -9007199254740991,
      "match": {
        "base": 0,
        "perDart": 0,
        "cap": 0,
        "minDarts": 0,
        "unknownDarts": 0
      },
      "win": {
        "base": 0,
        "perExtraOpponent": 0,
        "maxFieldMultiplier": 0
      },
      "bot": {
        "minWeight": 0,
        "maxWeight": 0,
        "maxLevel": 0
      },
      "competitive": {
        "ranked": 0,
        "tournament": 0
      },
      "daily": {
        "firstGame": 0,
        "firstWin": 0
      },
      "highlights": {
        "oneEighty": 0,
        "oneForty": 0,
        "checkout100": 0,
        "checkout130": 0,
        "checkout170": 0,
        "shanghai": 0,
        "whiteHorse": 0,
        "cap": 0,
        "nineDarter": 0
      }
    },
    "tournamentXp": {
      "participation": 0,
      "perMatchWon": 0,
      "championPerRound": 0,
      "runnerUpPerRound": 0
    }
  }
}
```
